import pandas as pd
import numpy as np

with pd.ExcelFile('Data_Color.xlsx') as xlsx:
    data = pd.read_excel(xlsx)

xt = pd.crosstab(np.array(data['Eye']), np.array(data['Hair']),
                 rownames = ['Eye'], colnames = ['Hair'])
print('\nCross Table(DataFrame) =\n', xt)
xt = np.array(xt)
print('\nCross Table(nparray) =\n', xt)

w_eye_1 = [-0.55856, -0.23647, 0.79504]
w_hair_0 = [-0.18596, -0.59554, 0.7815]
idx_eye_1 = np.argsort(w_eye_1)
idx_hair_0 = np.argsort(w_hair_0)
print('\nw_eye_1 =\n', w_eye_1)
print('\nidx_eye_1 =\n', idx_eye_1)
print('w_hair_0 |n', w_hair_0)
print('idx_hair_0 =\n', idx_hair_0)
s_xt = xt[idx_eye_1][:,idx_hair_0]
print('\nRearranged Cross Table =\n', s_xt)
